> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Instance

> Retrieve an App Instance



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/apps/beta/apps/{appId}/versions/{versionId}/instances/{instanceId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/apps/beta/apps/{appId}/versions/{versionId}/instances/{instanceId}:
    get:
      tags:
        - AppInstances
      summary: Get App Instance
      description: Retrieve an App Instance
      operationId: getAppInstance
      parameters:
        - description: The id of the app to retrieve an instance for.
          in: path
          name: appId
          required: true
          schema:
            type: string
        - description: The id of the app version to retrieve an instance for.
          in: path
          name: versionId
          required: true
          schema:
            type: string
        - description: The id of the app instance to retrieve.
          in: path
          name: instanceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInstanceResponse'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    AppInstanceResponse:
      properties:
        autoscalingInfo:
          $ref: '#/components/schemas/AppInstanceAutoscalingInfo'
        createdAt:
          format: epoch
          type: number
        id:
          type: string
        resourceUsage:
          $ref: '#/components/schemas/AppInstanceResourceUsageTimeseries'
        status:
          type: string
      required:
        - id
        - createdAt
        - resourceUsage
        - status
      type: object
    AppInstanceAutoscalingInfo:
      properties:
        readyReplicas:
          type: integer
      required:
        - readyReplicas
      type: object
    AppInstanceResourceUsageTimeseries:
      items:
        $ref: '#/components/schemas/AppInstanceResourceUsage'
      type: array
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    AppInstanceResourceUsage:
      properties:
        cpu:
          type: string
        memory:
          type: string
        timestamp:
          format: epoch
          type: number
      required:
        - timestamp
        - cpu
        - memory
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````